<template lang="pug">
  g-docs-plugin(:meeting-id='context.meetingId' :user-id='context.userId' :firebase="firebase" :functions="functions" :configurationMode="true" )
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
import * as firebase from "firebase/app";
import { ZoomSenseClientFirebaseDB } from "@zoomsense/zoomsense-firebase";

import GDocsPlugin from "./GDocsPlugin.vue";

export default Vue.extend({
  name: "Dashboard",
  props: {
    firebase: {
      required: true,
      type: Object as PropType<ZoomSenseClientFirebaseDB>,
    },
    functions: {
      required: true,
      type: Object as PropType<firebase.functions.Functions>,
    },
    context: {
      required: true,
      type: Object as PropType<{meetingId: string, userId: string}>,
    },
  },
  components: {
    GDocsPlugin
  }
});
</script>
